Bug 222759 - NullPointerException at org.netbeans.modules.autoupdate.ui.PluginManagerUI.decorateTabTitle
NullPointerException at org.netbeans.modules.autoupdate.ui.PluginManagerUI.de...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Plugin Manager
7.3
All All
: P3 (vote)
: 7.3
Assigned To: Jiri Rechtacek
au-issues
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-26 13:27 UTC by lehel
Modified: 2012-12-02 03:06 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.08 KB, text/plain)
2012-11-26 13:27 UTC, lehel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lehel 2012-11-26 13:27:02 UTC
Build: NetBeans IDE Dev (Build 201211260002)
VM: Java HotSpot(TM) Client VM, 23.6-b04, Java(TM) SE Runtime Environment, 1.7.0_10-ea-b16
OS: Windows XP

User Comments:
lehel: This error occured on the newly designed start up page in Netbeans:
-i selected the My NetBeans tab
-clicking on Activate Features




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.autoupdate.ui.PluginManagerUI.decorateTabTitle(PluginManagerUI.java:550)
   at org.netbeans.modules.autoupdate.ui.PluginManagerUI.refreshUnitsInAWT(PluginManagerUI.java:621)
   at org.netbeans.modules.autoupdate.ui.PluginManagerUI.access$300(PluginManagerUI.java:79)
   at org.netbeans.modules.autoupdate.ui.PluginManagerUI$4.run(PluginManagerUI.java:255)
   at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:241)
   at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:721)
Comment 1 lehel 2012-11-26 13:27:10 UTC
Created attachment 128392 [details]
stacktrace
Comment 2 Jiri Rechtacek 2012-11-28 15:46:24 UTC
Thanks for reporting it. Fixed - http://hg.netbeans.org/core-main/rev/ad58060c0ae7
Comment 3 Quality Engineering 2012-12-02 03:06:23 UTC
Integrated into 'main-golden', will be available in build *201212020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ad58060c0ae7
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #222759: NPE at org.netbeans.modules.autoupdate.ui.PluginManagerUI.decorateTabTitle


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo